# Uses of Interface
org.springframework.expression.ConstructorExecutor

Packages that use ConstructorExecutor
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of ConstructorExecutor in org.springframework.expression

Methods in org.springframework.expression that return ConstructorExecutor
Modifier and Type
Method
Description
`ConstructorExecutor`
ConstructorResolver.`resolve(EvaluationContext context, String typeName, List<org.springframework.core.convert.TypeDescriptor> argumentTypes)`
Within the supplied context, resolve a suitable constructor on the supplied type that can handle the specified arguments.

## Uses of ConstructorExecutor in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement ConstructorExecutor
Modifier and Type
Class
Description
`class`
`ReflectiveConstructorExecutor`
A simple ConstructorExecutor implementation that runs a constructor using reflective invocation.
Methods in org.springframework.expression.spel.support that return ConstructorExecutor
Modifier and Type
Method
Description
`ConstructorExecutor`
ReflectiveConstructorResolver.`resolve(EvaluationContext context, String typeName, List<org.springframework.core.convert.TypeDescriptor> argumentTypes)`
Locate a constructor on the type.